Summary: Tools to manage multipath devices using device-mapper.
Name: device-mapper-multipath
Version: 0.4.5
Release: 12.0.RHEL4
License: GPL
Group: System Environment/Base
URL: http://christophe.varoqui.free.fr/
Source0: multipath-tools-0.4.5.56.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: sysfsutils-devel,device-mapper

%description
%{name} provides tools to manage multipath devices by instructing the 
device-mapper multipath kernel module what to do. 
The tools are :
* multipath :   Scan the system for multipath devices and assemble them.
* multipathd :  Detects when paths fail and execs multipath to update things.
* kpartx :      Makes multipath devices partitionable.

%prep
%setup -q -n multipath-tools-0.4.5.56

%build
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT bindir=/sbin rcdir=/etc/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add multipathd

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del multipathd
fi

%files
%defattr(-,root,root,-)
/sbin/multipath
/sbin/multipath.static
/sbin/mpath_ctl
/sbin/kpartx
/sbin/kpartx.static
/sbin/multipathd
/sbin/mpath_prio_alua
/sbin/mpath_prio_emc
/sbin/mpath_prio_netapp
/etc/udev/rules.d/40-multipath.rules
/etc/dev.d/block/multipath.dev
%{_mandir}/man8/mpath_prio_alua.8.gz
%{_mandir}/man8/kpartx.8.gz
%{_mandir}/man8/multipath.8.gz
%{_mandir}/man8/multipathd.8.gz
%config /etc/rc.d/init.d/multipathd
%config(noreplace) /etc/multipath.conf
%doc AUTHOR COPYING README* FAQ Multipath-usage.txt multipath.conf.annotated multipath.conf.defaults multipath.conf.synthetic multipath/multipath.dev
/var/cache/multipath

%changelog
* Wed Jan 18 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-12
- Update to latest upstream source (t0_4_5_post56)
- Fixes bz #177417

* Thu Jan 5 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-11
- Update to latest upstream source (t0_4_5_post55)
- Fixes bz #177035

* Fri Dec 20 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-10
- Update to latest upstream source (t0_4_5_post53)
- Fixes bz #'s 175738, 175323, 175324, 175378, and 175408

* Fri Dec 2 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-8
- Update to latest upstream source (t0_4_5_post51)

* Tue Nov 29 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-7.0
- Update to latest upstream source (t0_4_5_post50)

* Mon Oct 10 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-6.1
- change default blacklist values in config file to match copiled
  defaults. [167442]

* Fri Sep 1 2005 Alasdair Kergon <agk@redhat.com> -0.4.5-6.0
- Fixes to mpath_ctl comms. [167199]

* Tue Aug 2 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-5.1
- Add Ed Goggin's Symmetrix getuid fix

* Tue Aug 2 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-5.0
- Update to latest upstream source (t0_4_5_post49)
- move multipath.rules back to /udev/rules.d/
- make sure that the default multipath.conf only installs when there is no
  existing config file.

* Fri Jul 29 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-4.1
- Remove example initrd scripts from docs.
- Move multipath.rules back to docs until it's cleaned up.

* Thu Jul 28 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-4.0
- Update to latest upstream source (t0_4_5_post48)

* Thu Jul 21 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-3.0
- Update to latest upstream source (t0_4_5_post47)
- remove merged patches

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-2.1
- Rename path_priority binaries.

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-2.0
- Include path_priority binaries in the build.

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-1.0
- Update to latest upstream source (t0_4_5_post44).
- Add kpartx.static and multipath.static.

* Fri May 06 2005 Bill Nottingham <notting@redhat.com> - 0.4.4-2.3
- Fix last fix.

* Thu May 05 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.2
- Fix last fix.

* Tue May 03 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.1
- By default, disable the multipathd service.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.0
- Fix core dump from last build.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-1.0
- Move cache file into /var/cache/multipath.

* Fri Apr 08 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.1
- Remove pp_balance_units.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.0
- Incorporate numerous upstream fixes.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.2-2.0
- Update init script to distribution standards.

* Tue Mar 01 2005 Alasdair Kergon <agk@redhat.com> - 0.4.2-1.0
- Initial import based on Christophe Varoqui's spec file.
